

<div class="shape"></div>

<div class="header">

  <div class="links">
    <a class="dropdown">
      <span>PORTFOLIO</span>
      <div class="dropdown-content">
        <a (click)="scroll(portfolio)">Web</a>
        <a (click)="scroll(mobile)">Mobile</a>
        <a (click)="scroll(pics)">Graphics</a>
        <a (click)="scroll(video)">Videos</a>
      </div>
    </a>
    <a (click)="scroll(aboutMe)">ABOUT ME</a>
    <a (click)="scroll(contact)">CONTACT</a>
  </div>
  <div class="profileIntro">
    <img src="../../assets/images/profilePic2.jpg" class="profileImg" alt="profilePic">

    <h1 @slide>Hello, I'm Satty</h1>
    <h5 @slide>FULL STACK DEVELOPER</h5>
    <div class="cvLink" @slide>
      <a href="../../assets/Satty%20Kaur%20CV.pdf" download="">Download CV</a>
    </div>

  </div>
  </div>

<app-svg-animation></app-svg-animation>


  <div>
    <h1 #portfolio class="sectionTitle">Portfolio</h1>
    <h5 class="sectionSubtitle">WEB DEVELOPMENT</h5>

    <p class="sectionText"><strong>Tech: </strong>Angular, Typescript, Javascript, JQuery, PHP, Laravel, HTML, CSS, LESS, Tailwind CSS</p>

    <div class="cardContainer">
      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/angularScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Angular Tutorials</h4>
        <p class="cardText">Angular Tutorials is a web page which goes over the fundamentals of Angular
          and also has a quiz to test your knowledge.</p>
        <div class="cardButtons">
          <a href="https://gitlab.com/satty.kaur/angular-concepts" target="_blank">Code</a>
          <a href="https://angular-tutorials-sk.web.app" target="_blank">Demo</a>
        </div>
      </div>

      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/zodiacScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Zodiac Horoscopes</h4>
        <p class="cardText">A Zodiac horoscopes page which has a short profile on each star sign,
          highlighting key personality traits and attributes.</p>
        <div class="cardButtons">
          <a href="https://github.com/SattyKaur/horoscopes" target="_blank">Code</a>
          <a href="https://horoscopes-zodiac.web.app/" target="_blank">Demo</a>
        </div>
      </div>

      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/leospaScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">LeoSpa</h4>
        <p class="cardText">A homepage for a Spa & Beauty center. The homepage includes: popular treatments,
          a contact form, booking form and testimonials.</p>
        <div class="cardButtons">
          <a href="https://gitlab.com/satty.kaur/leospa" target="_blank">Code</a>
        </div>
      </div>

      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/galleryScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Art Gallery</h4>
        <p class="cardText">A virtual art gallery of famous historical art. The layout is created using flexbox making it
          responsive to different screen sizes. </p>
        <div class="cardButtons">
          <a href="https://github.com/SattyKaur/art-gallery" target="_blank">Code</a>
          <a href="https://art-gallery.web.app/" target="_blank">Demo</a>
        </div>
      </div>
    </div>
  </div>

  <div class="divider"></div>

  <div>
    <h5 #mobile class="sectionSubtitle">MOBILE DEVELOPMENT</h5>

    <p class="sectionText"><strong>Tech: </strong>Java, Flutter, Dart, SQLite.</p>

    <div class="cardContainer">
      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/diz-dietScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Diz-Diet</h4>
        <p class="cardText">An Android app, designed to create custom diet plans based on the users metrics and preferences. Deployed to Google Play store and Microsoft store.</p>
        <div class="cardButtons">
          <a href="https://play.google.com/store/apps/details?id=uk.co.dizdiet&hl=en_GB" target="_blank">Google</a>
          <a href="https://www.microsoft.com/en-us/p/diz-diet/9pb0nzmkksxw?activetab=pivot:overviewtab" target="_blank">Microsoft</a>
        </div>
      </div>

      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/fuelCalcScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Fuel Calculator</h4>
        <p class="cardText">Created in Flutter, for Android and IOS. Users can select the currency and input information to calculate the cost of a road trip.</p>
        <div class="cardButtons">
          <a href="https://gitlab.com/satty.kaur/flutter-apps/-/blob/master/lib/screens/fuelForm.dart" target="_blank">Code</a>
        </div>
      </div>

      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/todoScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Todo Planner</h4>
        <p class="cardText">Users can add todo task ranked in order of importance. The todo's are stored on a local database using SQLite. Created in Flutter, for Android and IOS.</p>
        <div class="cardButtons">
          <a href="https://gitlab.com/satty.kaur/flutter-apps/-/blob/master/lib/screens/tododetail.dart" target="_blank">Code</a>
        </div>
      </div>

      <div class="card">
        <img class="cardImg" src="../../assets/images/screenshots/punjabiFamScreen.png" alt="Project Screenshot">
        <h4 class="cardTitle">Punjabi Translator</h4>
        <p class="cardText">A translation app for English to Punjabi, including family, colours, numbers and common phrases. The app uses media player so user can hear pronunciation.</p>
        <div class="cardButtons">
          <a href="https://github.com/SattyKaur/Learning-Punjabi" target="_blank">Code</a>
        </div>
      </div>

    </div>
  </div>

  <div class="divider"></div>

  <div style="width: 80%; margin: auto" inViewport (inViewportAction)="showAnimation()">
    <h5 #pics class="sectionSubtitle">GRAPHICS</h5>
    <p class="sectionText">All illustrations and promotional videos have been part of my freelance and contract work. </p>

    <p class="sectionText"><strong>Tech: </strong>Adobe Creative Suite: Illustrator, Animate, After Effects, Photoshop and Affinity Designer.</p>

<div [@fade] *ngIf="show" class="galleryContainer">
  <img  *ngFor="let x of imagePath" class="graphicImg" src="{{x.path}}" alt="{{x.name}}" (click)="open(x.id)">
</div>

    <h5 #video class="sectionSubtitle">VIDEOS</h5>

    <p class="sectionText">I had created and edited the following videos as promotional material for the release of Diz-Diet.</p>

    <div class="videoContainer">
      <video class="video" controls poster="../../assets/images/screenshots/promoPoster2.jpeg">
        <source src="../../assets/images/videos/Diz-DietPromoVideoTwo.mp4" type="video/mp4">
      </video>
      <video class="video" controls poster="../../assets/images/screenshots/promoPoster1.jpeg">
        <source src="../../assets/images/videos/Diz-DietPromoVideoOne.mp4" type="video/mp4" >
      </video>

    </div>

  </div>


<div class="divider"></div>


<div>

  <h1 #aboutMe class="sectionTitle">About Me</h1>

  <div class="aboutMe">

    <div>
      <img class="profileImg2" src="../../assets/images/profilePic.jpeg" alt="Profile image">
    </div>

    <div class="aboutMeText">
      <p>Hello welcome to my portfolio. My name is Satinder, but most people call me Satty. I live in Nottingham and am a self taught, full stack web developer.
        My programming journey started 2 years ago when I
      had my first 'Hello World' moment. Since then I have been studying and working in development, technologies ranging from frontend to backend.</p>
      <p>I am a keen and passionate learner, excited by technology and programming, and always looking for new exciting projects. </p>
      <br>
      <h6>KEY SKILLS</h6>
      <div class="row">
        <ul>
          <li>Javascript</li>
          <li>Typescript</li>
          <li>HTML</li>
          <li>CSS / LESS</li>
          <li>Angular</li>
        </ul>
        <ul>
          <li>Java</li>
          <li>PostgreSQL</li>
          <li>Spring</li>
          <li>PHP</li>
          <li>Swagger</li>
        </ul>
        <ul>
          <li>Flutter</li>
          <li>Android</li>
          <li>Dart</li>
          <li>Adobe CC</li>
          <li>Git Version Control</li>
        </ul>
      </div>

    </div>


    </div>

</div>

<div class="contact">
  <h5 #contact class="sectionSubtitle">CONTACT</h5>
  <div class=" contactGrid">
    <div>
      <a href="tel:+447854661506" class="contactLinks"><i class="fas fa-phone contactIcons"></i>07854661505</a>
    </div>
    <div>
      <a class="contactLinks" href="mailto:sattykaur35@gmail.com"><i class="fas fa-envelope contactIcons"></i>sattykaur35@gmail.coms</a>
    </div>
    </div>


  <h5 class="sectionSubtitle">LINKS</h5>
  <div class="contactbox">
    <a href="https://www.linkedin.com/in/satinder-kaur-5106581a8/" target="_blank">
      <i class="fab fa-linkedin-in contactIcons" matTooltip="LinkedIn"></i></a>

    <a href="https://gitlab.com/satty.kaur" target="_blank">
      <i class="fab fa-gitlab contactIcons" matTooltip="GitLab"></i></a>

    <a href="https://github.com/SattyKaur" target="_blank">
      <i class="fab fa-github contactIcons" matTooltip="GitHub"></i></a>

    <a href="https://www.hackerrank.com/sattykaur35" target="_blank">
      <i class="fab fa-hackerrank contactIcons" matTooltip="Hackerrank"></i></a>
  </div>

  </div>


<div class="shape2"></div>





























